Subject: CSPA principal work permit

From: Bainan Ni <[email-masked]>
Date: Thu, 24 Feb 94 09:53:51 CST

Hi, recently I bump into a question which I need your help. I have a cspa 
principal friend who has not got his approval. He has finished the school 
and prepared to work. As your know, his work permit is not valid after 
Jan.1. There are supposedly no problems for his applications: he kept his 
legal status throughout, his is not a DED case and not a 90-day either. I 
saw a post recently by Dr. Zhao Haiqing. According to him, the regional 
ins centers are supposed to finish processing the cspa principal cases by 
the end of Jan. In this case, and I am sure there are still other 
similiar cases out there, things do not go like that way. If some one has 
the latest information about that, I need your help. For example, is it 
possible to renew the work permit? is it possible to renew the work 
permit in any ins district offices or the only one where he had 
previously stayed? By the way, does somebody know the email address of 
Dr. Zhao Haiqing or the address of NCCA, so that I can contact with 
someone there directly. Thanks a bunch.